<bugID>1084534<Summary>Firefox takes a very long time to load sourceMap</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:33.0) Gecko/20100101 Firefox/33.0
Build ID: 20141014145224

Steps to reproduce:

Create a relatively complex javascipt application which is processed by browserify as part of its build process. Let Browserify be responsible for generating the sourceMaps.  

In my case the javascript totals to ~12MB.

Navigate to page without developer tools open - confirm that javascript works, and that site loads quickly.

Open developer tools, and navigate to the debug tab.

I can reproduce with FF 33.0 on Linux and Mac OS X Mavericks


Actual results:

The browser consumes 100% of one of my cores for ~60s. It eventually completes the processing (sometimes firefox reports a slow script, but if it is allowed to run, it finishes), and performs normally - sourceMaps seem to work properly.

Subsequent refreshes to the page are also very slow


Expected results:

The browser should parse the sourcemaps relatively quickly, and proceed as normal.

In chrome the same sourceMaps are processed instantaneously.</Description></bugID>